NX Open C++ Reference Guide
|
Represents a Annotations::CuttingPlaneSymbolBuilder
This is a sub-builder class and cannot be directly instantiated
Created in NX9.0.0.
More...
Public Types | |
enum | TextPlaneRelativeArrow { TextPlaneRelativeArrowParallel, TextPlaneRelativeArrowPerpendicular } |
Represents position of the text relative to the arrow option. More... | |
enum | ViewNameFormatOption { ViewNameFormatOptionUserDefined, ViewNameFormatOptionA, ViewNameFormatOptionAA } |
Represents whether the view name is derived from the PMI cutting plane symbol text. More... | |
Public Member Functions | |
void | AlternateArrow () |
The Cutting Plane Symbol Alternate Arrow Created in NX9.0.0. | |
double | ArrowLength () |
Returns the Cutting Plane Symbol Arrow Length Created in NX9.0.0. | |
int | Color () |
Returns the color of the Cutting Plane Symbol Created in NX9.0.0. | |
NXString | CuttingPlaneSymbolText () |
Returns the Cutting Plane Symbol text Created in NX9.0.0. | |
bool | DisplayCuttingPlaneSymbol () |
Returns the display cutting plane symbol Created in NX9.0.0. | |
NXOpen::LineFontBuilder * | Font () |
Returns the font Created in NX9.0.0. | |
void | SetArrowLength (double arrowLength) |
Sets the Cutting Plane Symbol Arrow Length Created in NX9.0.0. | |
void | SetColor (int cuttingPlaneSymbolColor) |
Sets the color of the Cutting Plane Symbol Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolText (const NXString &cuttingPlaneSymbolName) |
Sets the Cutting Plane Symbol text Created in NX9.0.0. | |
void | SetCuttingPlaneSymbolText (const char *cuttingPlaneSymbolName) |
Sets the Cutting Plane Symbol text Created in NX9.0.0. | |
void | SetDisplayCuttingPlaneSymbol (bool displayCuttingPlaneSymbol) |
Sets the display cutting plane symbol Created in NX9.0.0. | |
void | SetShadedPlane (bool shadedPlane) |
Sets the shaded plane Created in NX9.0.0. | |
void | SetTextPlaneRelativeToArrow (NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow textPlaneRelativeToArrow) |
Sets the text plane relative to arrow Created in NX9.0.0. | |
void | SetUseTwoArrows (bool useTwoArrows) |
Sets the use two arrows Created in NX9.0.0. | |
void | SetViewNameFormat (NXOpen::Annotations::CuttingPlaneSymbolBuilder::ViewNameFormatOption viewNameFormat) |
Sets the name view from symbol Created in NX9.0.0. | |
bool | ShadedPlane () |
Returns the shaded plane Created in NX9.0.0. | |
NXOpen::Annotations::StyleBuilder * | Style () |
Returns the Cutting Plane Symbol Style Created in NX9.0.0. | |
NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow | TextPlaneRelativeToArrow () |
Returns the text plane relative to arrow Created in NX9.0.0. | |
bool | UseTwoArrows () |
Returns the use two arrows Created in NX9.0.0. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
NXOpen::Annotations::CuttingPlaneSymbolBuilder::ViewNameFormatOption | ViewNameFormat () |
Returns the name view from symbol Created in NX9.0.0. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Annotations::CuttingPlaneSymbolBuilder
This is a sub-builder class and cannot be directly instantiated
Created in NX9.0.0.
Represents whether the view name is derived from the PMI cutting plane symbol text.
ViewNameFormatOptionUserDefined |
User Defined View Name. |
ViewNameFormatOptionA |
View Name is in the 'Section Prefix A' format, Where Section Prefix is taken from PMI Preferences and A is the Text of the PMI Cutting Plane Symbol. |
ViewNameFormatOptionAA |
View Name is in the 'Section Prefix A-A' format, Where Where Section Prefix is taken from PMI Preferences and A is the Text of the PMI Cutting Plane Symbol. |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::AlternateArrow | ( | ) |
The Cutting Plane Symbol Alternate Arrow
Created in NX9.0.0.
License requirements : None
double NXOpen::Annotations::CuttingPlaneSymbolBuilder::ArrowLength | ( | ) |
Returns the Cutting Plane Symbol Arrow Length
Created in NX9.0.0.
License requirements : None
int NXOpen::Annotations::CuttingPlaneSymbolBuilder::Color | ( | ) |
Returns the color of the Cutting Plane Symbol
Created in NX9.0.0.
License requirements : None
NXString NXOpen::Annotations::CuttingPlaneSymbolBuilder::CuttingPlaneSymbolText | ( | ) |
Returns the Cutting Plane Symbol text
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::CuttingPlaneSymbolBuilder::DisplayCuttingPlaneSymbol | ( | ) |
Returns the display cutting plane symbol
Created in NX9.0.0.
License requirements : None
NXOpen::LineFontBuilder* NXOpen::Annotations::CuttingPlaneSymbolBuilder::Font | ( | ) |
Returns the font
Created in NX9.0.0.
License requirements : None
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetArrowLength | ( | double | arrowLength | ) |
Sets the Cutting Plane Symbol Arrow Length
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
arrowLength | arrowlength |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetColor | ( | int | cuttingPlaneSymbolColor | ) |
Sets the color of the Cutting Plane Symbol
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
cuttingPlaneSymbolColor | cuttingplanesymbolcolor |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetCuttingPlaneSymbolText | ( | const NXString & | cuttingPlaneSymbolName | ) |
Sets the Cutting Plane Symbol text
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
cuttingPlaneSymbolName | cuttingplanesymbolname |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetCuttingPlaneSymbolText | ( | const char * | cuttingPlaneSymbolName | ) |
Sets the Cutting Plane Symbol text
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
cuttingPlaneSymbolName | cuttingplanesymbolname |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetDisplayCuttingPlaneSymbol | ( | bool | displayCuttingPlaneSymbol | ) |
Sets the display cutting plane symbol
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
displayCuttingPlaneSymbol | displaycuttingplanesymbol |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetShadedPlane | ( | bool | shadedPlane | ) |
Sets the shaded plane
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
shadedPlane | shadedplane |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetTextPlaneRelativeToArrow | ( | NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow | textPlaneRelativeToArrow | ) |
Sets the text plane relative to arrow
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
textPlaneRelativeToArrow | textplanerelativetoarrow |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetUseTwoArrows | ( | bool | useTwoArrows | ) |
Sets the use two arrows
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
useTwoArrows | usetwoarrows |
void NXOpen::Annotations::CuttingPlaneSymbolBuilder::SetViewNameFormat | ( | NXOpen::Annotations::CuttingPlaneSymbolBuilder::ViewNameFormatOption | viewNameFormat | ) |
Sets the name view from symbol
Created in NX9.0.0.
License requirements : geometric_tol ("GDT")
viewNameFormat | viewnameformat |
bool NXOpen::Annotations::CuttingPlaneSymbolBuilder::ShadedPlane | ( | ) |
Returns the shaded plane
Created in NX9.0.0.
License requirements : None
NXOpen::Annotations::StyleBuilder* NXOpen::Annotations::CuttingPlaneSymbolBuilder::Style | ( | ) |
Returns the Cutting Plane Symbol Style
Created in NX9.0.0.
License requirements : None
NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeArrow NXOpen::Annotations::CuttingPlaneSymbolBuilder::TextPlaneRelativeToArrow | ( | ) |
Returns the text plane relative to arrow
Created in NX9.0.0.
License requirements : None
bool NXOpen::Annotations::CuttingPlaneSymbolBuilder::UseTwoArrows | ( | ) |
Returns the use two arrows
Created in NX9.0.0.
License requirements : None
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.
NXOpen::Annotations::CuttingPlaneSymbolBuilder::ViewNameFormatOption NXOpen::Annotations::CuttingPlaneSymbolBuilder::ViewNameFormat | ( | ) |
Returns the name view from symbol
Created in NX9.0.0.
License requirements : None